Page MenuHomePhabricator

"Discussion" tab should have indication of nonexistent target page (other than color)
Closed, ResolvedPublic

Description

Author: michael

Description:
When a page has no discussion yet, this status is indicated by the red colour of the “Discussion” link in the tab at the top, but not by other means. This is an accessibility blocker, because information conveyed by colour must also be indicated in text or markup: Priority 1 in WCAG 1.0 (http://www.w3.org/TR/WCAG10/wai-pageauth.html#tech-color-convey), Level A in WCAG 2.0 (http://www.w3.org/TR/WCAG20/#visual-audio-contrast-without-color).

This could be fixed simply by appending “(page does not exist)” to the title attribute as is done for red links in the body of a page, or by changing the title from “Discussion about the content page” to “Start discussion about the content page”.


Discussion tab in Vector for talk page (tooltip does not indicate inexistent state)
Inline link in Vector to an inexistent page (tooltip indicating page does not exist)

Details

Reference
bz17099

Event Timeline

bzimport raised the priority of this task from to Low.
bzimport set Reference to bz17099.
bzimport added a subscriber: Unknown Object (MLST).

Nx.devnull wrote:

Wrap tooltip in 'red-link-title'

A patch that puts "(page does not exist)" into the title by wrapping the tooltip in 'red-link-title', the message used to generate the tooltip for red links.

attachment bug17099.patch ignored as obsolete

sumanah wrote:

Thanks for the patch, Nx.devnull. I attached the keywords "patch" and "need-review" so other developers notice your patch and review it.

Nx.devnull wrote:

Wrap tooltips of my page / my talk links too

Just a small change so that the my page / my talk links in the personal toolbar get it too.

Attached:

sumanah wrote:

Nikola, thank you for your patch. Are you interested in using developer access to directly suggest it into our Git source control system? Sorry for the wait, and this would get it reviewed faster.

For reference:

https://www.mediawiki.org/wiki/Developer_access

https://www.mediawiki.org/wiki/Git/Workflow#How_to_submit_a_patch

Created attachment 10649
Screenshot of Discussion tab in Vector for inexistent talk page

Attached:

Created attachment 10650
Screenshot of inline link in Vector to an inexistent page (tooltip)

Attached:

To clarify (it confused me a bit): this bug is only asking something consistent with how red links behave normally, as Krinkle's screenshots show.

Related URL: https://gerrit.wikimedia.org/r/63387 (Gerrit Change Ie3c12c66989665326cc10ea9a0bc1d569026faa0)

Change 63387 abandoned by Luis Felipe Schenone:
Add "(page does not exist)" to non-existent talk pages' tooltip

Reason:
Master changed too much. Better to start a new change.

https://gerrit.wikimedia.org/r/63387

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 22 2016, 11:11 PM
TheDJ added a subscriber: TheDJ.

This should be a pretty easy task honestly, someone just needs to brush up that patch again.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptNov 9 2017, 2:20 PM
TheDJ moved this task from Unsorted to Tooltip on the Accessibility board.Nov 9 2017, 2:22 PM
Krinkle updated the task description. (Show Details)Nov 10 2017, 2:20 AM
Krinkle added a project: Vector.
Krinkle removed a subscriber: wikibugs-l-list.
Krinkle removed a subscriber: Krinkle.
Mvolz added a comment.Nov 25 2017, 6:50 PM

Could anyone mentor?

Fz-29 added a subscriber: Fz-29.Jan 2 2018, 9:15 PM

@Mvolz @Aklapper I would like to mentor this task.

Change 401733 had a related patch set uploaded (by Albert221; owner: Albert221):
[mediawiki/core@master] Add text to tab links telling if they do exist

https://gerrit.wikimedia.org/r/401733

Albert221 claimed this task.Jan 3 2018, 3:18 PM
Fz-29 added a comment.Jan 4 2018, 7:19 PM

I'm trying to test this patch. Can anyone else also test it on their systems?
@Mvolz Can you also test it, please?

Fz-29 added a comment.Jan 4 2018, 8:16 PM

@Mvolz and @Aklapper the patch works fine in my dev environment.
The code looks fine too. Should we approve the Google Code-in task ?

Mvolz added a comment.Jan 4 2018, 8:29 PM

@Mvolz and @Aklapper the patch works fine in my dev environment.
The code looks fine too. Should we approve the Google Code-in task ?

You should first review it on gerrit, and then approve ^-^.

Change 401733 merged by jenkins-bot:
[mediawiki/core@master] Add text to tab links telling if they do exist

https://gerrit.wikimedia.org/r/401733

matmarex closed this task as Resolved.Jan 8 2018, 7:30 PM
matmarex removed a project: Patch-For-Review.